Page MenuHomePhabricator

Edit target article action should use the page name of the target wiki instead of the source one
Closed, ResolvedPublic

Description

When accessing the translated page of "Light year" from Simple English to Indonesian, following the contribute action leads to the special page with options to contribute.

There, the main action to edit the local version of the article is using the wrong page name. It is using the source ("Light year") instead of the target name ("Tahun cahaya") as it is captured in Wikidata.

The current link address is:

https://id.wikipedia.org/wiki/Light%20year?veaction=edit&campaign=external-machine-translation

However it should be this way:

https://id.wikipedia.org/wiki/Tahun%20cahaya?veaction=edit&campaign=external-machine-translation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 10:57 AM
Pginer-WMF renamed this task from Edit local article should use the page name of the target wiki instead of the source one to Edit local article action should use the page name of the target wiki instead of the source one.Feb 14 2019, 10:57 AM
Pginer-WMF renamed this task from Edit local article action should use the page name of the target wiki instead of the source one to Edit target article action should use the page name of the target wiki instead of the source one.
Pginer-WMF triaged this task as High priority.
santhosh moved this task from Backlog to In Progress on the ExternalGuidance board.

This is a good catch. I should not have used a title like "Proxima Centauri" for lot of testing because that has same title in source and target languages.

To fix this,we need to pass both the source title and target title to Special page. Currently we are passing only the source title.

Change 490802 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Pass the target title when the page exist in target language

https://gerrit.wikimedia.org/r/490802

Change 490802 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Pass the target title when the page exist in target language

https://gerrit.wikimedia.org/r/490802

santhosh moved this task from In Review to Done on the ExternalGuidance board.Feb 26 2019, 3:43 AM
Pginer-WMF closed this task as Resolved.Mar 8 2019, 12:01 PM